Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.rdbmdl
Interface RdbmdlPackage.Literals

Enclosing interface:
  RdbmdlPackage

    public static interface RdbmdlPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `COLUMN` The meta object literal for the '`Column`' class
`static org.eclipse.emf.ecore.EClass` | `ELEMENT` The meta object literal for the '`Element`' class
`static org.eclipse.emf.ecore.EReference` | `ELEMENT__PARENT` The meta object literal for the 'Parent' reference feature
`static org.eclipse.emf.ecore.EClass` | `MODEL` The meta object literal for the '`Model`' class
`static org.eclipse.emf.ecore.EReference` | `MODEL__SCHEMAS` The meta object literal for the 'Schemas' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `MODEL__SERVER_ID` The meta object literal for the 'Server id' attribute feature
`static org.eclipse.emf.ecore.EClass` | `NAMED_COLUMN_SET` The meta object literal for the '`Named Column Set`' class
`static org.eclipse.emf.ecore.EClass` | `NAMED_ELEMENT` The meta object literal for the '`Named Element`' class
`static org.eclipse.emf.ecore.EAttribute` | `NAMED_ELEMENT__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `NAMED_ELEMENT__UID` The meta object literal for the 'Uid' attribute feature
`static org.eclipse.emf.ecore.EClass` | `SCHEMA` The meta object literal for the '`Schema`' class
`static org.eclipse.emf.ecore.EReference` | `SCHEMA__ELEMENTS` The meta object literal for the 'Elements' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `SCHEMA_ELEMENT` The meta object literal for the '`Schema Element`' class
`static org.eclipse.emf.ecore.EAttribute` | `SCHEMA_ELEMENT__OWNER` The meta object literal for the 'Owner' attribute feature
`static org.eclipse.emf.ecore.EClass` | `TABLE` The meta object literal for the '`Table`' class
`static org.eclipse.emf.ecore.EReference` | `TABLE__CHECKS` The meta object literal for the 'Checks' containment reference list feature
`static org.eclipse.emf.ecore.EReference` | `TABLE__COLUMNS` The meta object literal for the 'Columns' containment reference list feature
`static org.eclipse.emf.ecore.EReference` | `TABLE__FOREIGN_KEYS` The meta object literal for the 'Foreign Keys' containment reference list feature
`static org.eclipse.emf.ecore.EReference` | `TABLE__INDICES` The meta object literal for the 'Indices' containment reference list feature
`static org.eclipse.emf.ecore.EReference` | `TABLE__PRIMARY_KEY` The meta object literal for the 'Primary Key' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `TABLE__UNIQUE_CONSTRAINTS` The meta object literal for the 'Unique Constraints' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `TABLE_COLUMN` The meta object literal for the '`Table Column`' class
`static org.eclipse.emf.ecore.EReference` | `TABLE_COLUMN__DOMAIN` The meta object literal for the 'Domain' reference feature
`static org.eclipse.emf.ecore.EAttribute` | `TABLE_COLUMN__IS_FOREIGN_KEY` The meta object literal for the 'Is Foreign Key' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `TABLE_COLUMN__IS_PRIMARY_KEY` The meta object literal for the 'Is Primary Key' attribute feature
`static org.eclipse.emf.ecore.EReference` | `TABLE_COLUMN__TYPE` The meta object literal for the 'Type' containment reference feature

Field Detail

### ELEMENT

    static final org.eclipse.emf.ecore.EClass ELEMENT

  The meta object literal for the '`Element`' class.

  See Also:
    `ElementImpl`, `RdbmdlPackageImpl.getElement()`

### ELEMENT__PARENT

    static final org.eclipse.emf.ecore.EReference ELEMENT__PARENT

  The meta object literal for the 'Parent' reference feature.

### NAMED_COLUMN_SET

    static final org.eclipse.emf.ecore.EClass NAMED_COLUMN_SET

  The meta object literal for the '`Named Column Set`' class.

  See Also:
    `NamedColumnSetImpl`, `RdbmdlPackageImpl.getNamedColumnSet()`

### NAMED_ELEMENT

    static final org.eclipse.emf.ecore.EClass NAMED_ELEMENT

  The meta object literal for the '`Named Element`' class.

  See Also:
    `NamedElementImpl`, `RdbmdlPackageImpl.getNamedElement()`

### NAMED_ELEMENT__UID

    static final org.eclipse.emf.ecore.EAttribute NAMED_ELEMENT__UID

  The meta object literal for the 'Uid' attribute feature.

### NAMED_ELEMENT__NAME

    static final org.eclipse.emf.ecore.EAttribute NAMED_ELEMENT__NAME

  The meta object literal for the 'Name' attribute feature.

### MODEL

    static final org.eclipse.emf.ecore.EClass MODEL

  The meta object literal for the '`Model`' class.

  See Also:
    `ModelImpl`, `RdbmdlPackageImpl.getModel()`

### MODEL__SCHEMAS

    static final org.eclipse.emf.ecore.EReference MODEL__SCHEMAS

  The meta object literal for the 'Schemas' containment reference list feature.

### MODEL__SERVER_ID

    static final org.eclipse.emf.ecore.EAttribute MODEL__SERVER_ID

  The meta object literal for the 'Server id' attribute feature.

### SCHEMA

    static final org.eclipse.emf.ecore.EClass SCHEMA

  The meta object literal for the '`Schema`' class.

  See Also:
    `SchemaImpl`, `RdbmdlPackageImpl.getSchema()`

### SCHEMA__ELEMENTS

    static final org.eclipse.emf.ecore.EReference SCHEMA__ELEMENTS

  The meta object literal for the 'Elements' containment reference list feature.

### SCHEMA_ELEMENT

    static final org.eclipse.emf.ecore.EClass SCHEMA_ELEMENT

  The meta object literal for the '`Schema Element`' class.

  See Also:
    `SchemaElementImpl`, `RdbmdlPackageImpl.getSchemaElement()`

### SCHEMA_ELEMENT__OWNER

    static final org.eclipse.emf.ecore.EAttribute SCHEMA_ELEMENT__OWNER

  The meta object literal for the 'Owner' attribute feature.

### TABLE

    static final org.eclipse.emf.ecore.EClass TABLE

  The meta object literal for the '`Table`' class.

  See Also:
    `TableImpl`, `RdbmdlPackageImpl.getTable()`

### TABLE__COLUMNS

    static final org.eclipse.emf.ecore.EReference TABLE__COLUMNS

  The meta object literal for the 'Columns' containment reference list feature.

### TABLE__PRIMARY_KEY

    static final org.eclipse.emf.ecore.EReference TABLE__PRIMARY_KEY

  The meta object literal for the 'Primary Key' containment reference feature.

### TABLE__UNIQUE_CONSTRAINTS

    static final org.eclipse.emf.ecore.EReference TABLE__UNIQUE_CONSTRAINTS

  The meta object literal for the 'Unique Constraints' containment reference list feature.

### TABLE__FOREIGN_KEYS

    static final org.eclipse.emf.ecore.EReference TABLE__FOREIGN_KEYS

  The meta object literal for the 'Foreign Keys' containment reference list feature.

### TABLE__INDICES

    static final org.eclipse.emf.ecore.EReference TABLE__INDICES

  The meta object literal for the 'Indices' containment reference list feature.

### TABLE__CHECKS

    static final org.eclipse.emf.ecore.EReference TABLE__CHECKS

  The meta object literal for the 'Checks' containment reference list feature.

### COLUMN

    static final org.eclipse.emf.ecore.EClass COLUMN

  The meta object literal for the '`Column`' class.

  See Also:
    `ColumnImpl`, `RdbmdlPackageImpl.getColumn()`

### TABLE_COLUMN

    static final org.eclipse.emf.ecore.EClass TABLE_COLUMN

  The meta object literal for the '`Table Column`' class.

  See Also:
    `TableColumnImpl`, `RdbmdlPackageImpl.getTableColumn()`

### TABLE_COLUMN__DOMAIN

    static final org.eclipse.emf.ecore.EReference TABLE_COLUMN__DOMAIN

  The meta object literal for the 'Domain' reference feature.

### TABLE_COLUMN__TYPE

    static final org.eclipse.emf.ecore.EReference TABLE_COLUMN__TYPE

  The meta object literal for the 'Type' containment reference feature.

### TABLE_COLUMN__IS_PRIMARY_KEY

    static final org.eclipse.emf.ecore.EAttribute TABLE_COLUMN__IS_PRIMARY_KEY

  The meta object literal for the 'Is Primary Key' attribute feature.

### TABLE_COLUMN__IS_FOREIGN_KEY

    static final org.eclipse.emf.ecore.EAttribute TABLE_COLUMN__IS_FOREIGN_KEY

  The meta object literal for the 'Is Foreign Key' attribute feature.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD